var NAVTREE =
[
  [ "Houdini Engine for Unity", "index.html", [
    [ "Houdini Engine For Unity", "index.html#Welcome", null ],
    [ "Overview", "index.html#Documentation", [
      [ "Introduction", "index.html#Documentation_SectionsIntro", null ],
      [ "Project Setup", "index.html#Documentation_SectionsProject", null ],
      [ "Data", "index.html#Documentation_SectionsData", null ],
      [ "API & Troubleshooting", "index.html#Documentation_SectionsOther", null ]
    ] ],
    [ "About Version", "_version.html", [
      [ "Status", "_version.html#Version_Status", null ],
      [ "Features", "_version.html#Version_Features", [
        [ "Supported", "_version.html#Version_Features_Supported", null ],
        [ "Deprecated", "_version.html#Version_Features_Depecrated", null ]
      ] ],
      [ "Limitations", "_version.html#Version_Limitations", null ]
    ] ],
    [ "Getting Started", "_getting_started.html", [
      [ "Install & Update", "_getting_started.html#GettingStarted_Install_Update", [
        [ "Upgrading The Plugin", "_getting_started.html#GettingStarted_Update", null ],
        [ "Installing on Windows or macOS", "_getting_started.html#GettingStarted_Install_Package", null ],
        [ "Installing on Linux", "_getting_started.html#GettingStarted_Install_Folder", null ]
      ] ],
      [ "Verify the plug-in is loaded", "_getting_started.html#GettingStarted_Verify", null ],
      [ "First Steps", "_getting_started.html#GettingStarted_FirstSteps", null ]
    ] ],
    [ "Session", "_session.html", [
      [ "Session Architecture", "_session.html#Session_Architecture", null ],
      [ "Session Menu", "_session.html#Session_Menu", null ],
      [ "Session Types", "_session.html#Session_Types", [
        [ "Pipe Session", "_session.html#Session_Types_PipeSession", null ],
        [ "Socket Session", "_session.html#Session_Types_Session", null ]
      ] ],
      [ "Create A Session", "_session.html#Session_Create", null ],
      [ "Connect To Session", "_session.html#Session_Connect", null ],
      [ "Houdini Engine SessionSync", "_session.html#Session_Types_SessionSync", null ],
      [ "Session Troubleshooting", "_session.html#Session_Troubleshooting", null ]
    ] ],
    [ "Houdini Assets", "_assets.html", [
      [ "Houdini Asset", "_assets.html#Assets_HoudiniAsset", null ],
      [ "Asset Hierarchy", "_assets.html#Assets_AssetHierarchy", null ],
      [ "Asset Inspector UI", "_assets.html#Assets_AssetInspectorUI", [
        [ "Generate", "_assets.html#Assets_AssetInspectorUI_Generate", null ],
        [ "Bake", "_assets.html#Assets_AssetInspectorUI_Bake", null ],
        [ "Events", "_assets.html#Assets_AssetInspectorUI_Events", null ],
        [ "HDA Options", "_assets.html#Assets_AssetInspectorUI_HDAOptions", null ],
        [ "Asset Parameters", "_assets.html#Assets_AssetInspectorUI_AssetParameters", null ]
      ] ]
    ] ],
    [ "SessionSync", "_session_sync.html", [
      [ "Starting SessionSync", "_session_sync.html#SessionSync_Starting", [
        [ "Launch Houdini with SessionSync", "_session_sync.html#SessionSync_Starting_Launch", null ],
        [ "Connect to Houdini", "_session_sync.html#SessionSync_Starting_Connect", null ]
      ] ],
      [ "Settings", "_session_sync.html#SessionSync_Settings", null ],
      [ "Synchronized Data", "_session_sync.html#SessionSync_Data", [
        [ "NodeSync", "_session_sync.html#SessionSync_Data_NodeSync", null ]
      ] ]
    ] ],
    [ "Environment and Paths", "_environment.html", [
      [ "Environment File", "_environment.html#Environment_File", [
        [ "Environment Mapped Paths", "_environment.html#Environment_File_Paths", null ]
      ] ]
    ] ],
    [ "Source Control Integration", "_source_control.html", [
      [ "Files", "_source_control.html#SourceControl_Files", null ],
      [ "Folders", "_source_control.html#SourceControl_Folders", null ]
    ] ],
    [ "Unity Scripts", "_unity_scripts.html", null ],
    [ "Attributes and Groups", "_attributes.html", [
      [ "Standard Houdini Attributes", "_attributes.html#AttributesStandard", null ],
      [ "Houdini to Unity", "_attributes.html#AttributesInput", null ],
      [ "Houdini Heightfields to Unity Terrain", "_attributes.html#AttributesInput_Heightfields", null ],
      [ "Unity to Houdini", "_attributes.html#AttributesOutput", null ],
      [ "Groups", "_attributes.html#AttributesGroups", null ],
      [ "Attributes Store", "_attributes.html#AttributesStore", null ]
    ] ],
    [ "Curves", "_curves.html", [
      [ "Curve Editor", "_curves.html#Curves_Editor", null ],
      [ "Curve Parameters UI", "_curves.html#Curves_ParametersUI", null ]
    ] ],
    [ "Meshes", "_meshes.html", [
      [ "Overview", "_meshes.html#Meshes_Overview", null ],
      [ "Input", "_meshes.html#Meshes_Input", null ],
      [ "Output", "_meshes.html#Meshes_Output", [
        [ "Level of Detail", "_meshes.html#Meshes_Output_LOD", null ],
        [ "Colliders", "_meshes.html#Meshes_Colliders", null ],
        [ "Topology: Triangles and Quads", "_meshes.html#Meshes_Topology", null ],
        [ "Readable Meshes", "_meshes.html#Meshes_Readable", null ]
      ] ]
    ] ],
    [ "Materials", "_materials.html", [
      [ "By Attribute", "_materials.html#Materials_ByAttribute", null ],
      [ "Generate", "_materials.html#Materials_Generate", null ],
      [ "Material Overrides", "_materials.html#Materials_Overrides", null ]
    ] ],
    [ "Handles", "_handles.html", [
      [ "Transformer Handle", "_handles.html#Handles_TransformHandle", null ]
    ] ],
    [ "Inputs", "_inputs.html", [
      [ "Node Inputs", "_inputs.html#NodeInputs", null ],
      [ "Object Path Input Parameter", "_inputs.html#ObjectPathInput", [
        [ "Input Type", "_inputs.html#ObjectPathInput_InputType", null ],
        [ "Keep World Transform", "_inputs.html#ObjectPathInput_KeepWorldTransform", null ],
        [ "Pack Geometry Before Merging", "_inputs.html#ObjectPathInput_PackGeometryBeforeMerging", null ],
        [ "Input Objects", "_inputs.html#ObjectPathInput_InputObjects", null ],
        [ "Input Assets", "_inputs.html#ObjectPathInput_InputAsset", null ]
      ] ],
      [ "Custom Input Scripts", "_inputs.html#Inputs_CustomInputHooks", null ]
    ] ],
    [ "Instancing", "_instancing.html", [
      [ "Packed Primitives", "_instancing.html#PackedPrimitives", null ],
      [ "Object Instancers", "_instancing.html#ObjectInstancers", [
        [ "Attribute Instancers", "_instancing.html#ObjectInstancers_Attribute", null ]
      ] ],
      [ "Point Cloud Instancing", "_instancing.html#PointInstancing", null ],
      [ "Overriding Instance Inputs", "_instancing.html#OverridingInstanceInputs", null ],
      [ "Instance Names", "_instancing.html#Instancing_Names", [
        [ "Single instance prefix using Detail attributes", "_instancing.html#Instancing_Names_Detail_Attr", null ],
        [ "Multiple instance prefixes using Point attributes", "_instancing.html#Instancing_Names_Point_Attr", null ]
      ] ]
    ] ],
    [ "Outputs", "_outputs.html", [
      [ "Output Types", "_outputs.html#Outputs_Types", [
        [ "Display Node Geometry", "_outputs.html#Outputs_Types_DisplayGeometry", null ],
        [ "Temporary Geometry", "_outputs.html#Outputs_Types_Temporary", null ]
      ] ],
      [ "Unity Mesh", "_outputs.html#Outputs_UnityMesh", null ],
      [ "Instanced Unity Mesh", "_outputs.html#Outputs_InstancedUnityMesh", null ],
      [ "Output Naming Scheme", "_outputs.html#Outputs_Names", null ]
    ] ],
    [ "Painting and Editing Attributes", "_painting_editing.html", [
      [ "Multiple Editable Nodes", "_painting_editing.html#PaintingEditing_MultipleEditNodes", null ],
      [ "Painting Attributes", "_painting_editing.html#PaintingEditing_Painting", [
        [ "Color Attribute", "_painting_editing.html#PaintingEditing_Painting_Color", null ]
      ] ],
      [ "Editing Attributes", "_painting_editing.html#PaintingEditing_Editing", null ]
    ] ],
    [ "Parameters", "_parameters.html", [
      [ "Overview", "_parameters.html#Parameters_Overview", null ],
      [ "Integers", "_parameters.html#Parameters_Int", null ],
      [ "Floats", "_parameters.html#Parameters_Float", null ],
      [ "Strings", "_parameters.html#Parameters_String", null ],
      [ "Button", "_parameters.html#Parameters_Button", null ],
      [ "Colors", "_parameters.html#Parameters_Color", null ],
      [ "Files", "_parameters.html#Parameters_File", null ],
      [ "Folders", "_parameters.html#Parameters_Folder", null ],
      [ "Multiparms", "_parameters.html#Parameters_Multiparms", null ],
      [ "Ramps", "_parameters.html#Parameters_Ramp", null ]
    ] ],
    [ "Terrain (Height Fields)", "_terrain.html", [
      [ "Height Field Size & Grid Spacing", "_terrain.html#Terrain_Size", null ],
      [ "Height Field Layers", "_terrain.html#Terrain_Layers", [
        [ "TerrainLayers UI", "_terrain.html#Terrain_Layers_UI", null ],
        [ "TerrainLayer Properties via Attributes", "_terrain.html#Terrain_Layers_Attributes", null ],
        [ "TerrainLayers Example with Tiles", "_terrain.html#Terrain_Layers_Example", null ]
      ] ],
      [ "Generation", "_terrain.html#Terrain_Generation", [
        [ "TerrainData", "_terrain.html#Terrain_Data", null ],
        [ "TerrainLayers", "_terrain.html#Terrain_Generation_Layers", null ],
        [ "Default Settings", "_terrain.html#Terrain_Generation_Defaults", null ],
        [ "Materials", "_terrain.html#Terrain_Generation_Materials", null ]
      ] ],
      [ "Terrain Scattering", "_terrain.html#Terrain_Scatterring", [
        [ "Prefab Instances", "_terrain.html#Terrain_Scattering_Prefab_Instances", null ],
        [ "Tree Instances", "_terrain.html#Terrain_Scattering_Tree_Instances", null ]
      ] ],
      [ "Detail Layers", "_terrain.html#Terrain_Detail_Layers", null ],
      [ "Terrain Input", "_terrain.html#Terrain_Input", null ]
    ] ],
    [ "Houdini Engine Tools", "_houdini_tools.html", [
      [ "Houdini Tool Shelfs", "_houdini_tools.html#HoudiniToolsMode", null ],
      [ "Custom Houdini Tool", "_houdini_tools.html#HoudiniToolsCustom", null ]
    ] ],
    [ "Plugin API", "_plugin_a_p_i.html", [
      [ "Using the Plug-in Programmatically", "_plugin_a_p_i.html#PluginAPI_Intro", [
        [ "Asset Layer", "_plugin_a_p_i.html#PluginAPI_AssetLayer", null ],
        [ "Utility Layer", "_plugin_a_p_i.html#PluginAPI_UtilityLayer", null ],
        [ "HAPI Layer", "_plugin_a_p_i.html#PluginAPI_HAPILayer", null ]
      ] ]
    ] ],
    [ "Troubleshooting", "_troubleshooting.html", [
      [ "Overview", "_troubleshooting.html#Troubleshooting_Overview", [
        [ "Troubleshooting Workflows", "_troubleshooting.html#Troubleshooting_Workflows", null ],
        [ "Houdini Engine SessionSync", "_troubleshooting.html#Troubleshooting_HoudiniEnginSessionSync", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"_assets.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';
var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';
var navTreeSubIndices = new Array();

function getData(varName)
{
  var i = varName.lastIndexOf('/');
  var n = i>=0 ? varName.substring(i+1) : varName;
  return eval(n.replace(/\-/g,'_'));
}

function stripPath(uri)
{
  return uri.substring(uri.lastIndexOf('/')+1);
}

function stripPath2(uri)
{
  var i = uri.lastIndexOf('/');
  var s = uri.substring(i+1);
  var m = uri.substring(0,i+1).match(/\/d\w\/d\w\w\/$/);
  return m ? uri.substring(i-6) : s;
}

function localStorageSupported()
{
  try {
    return 'localStorage' in window && window['localStorage'] !== null && window.localStorage.getItem;
  }
  catch(e) {
    return false;
  }
}


function storeLink(link)
{
  if (!$("#nav-sync").hasClass('sync') && localStorageSupported()) {
      window.localStorage.setItem('navpath',link);
  }
}

function deleteLink()
{
  if (localStorageSupported()) {
    window.localStorage.setItem('navpath','');
  } 
}

function cachedLink()
{
  if (localStorageSupported()) {
    return window.localStorage.getItem('navpath');
  } else {
    return '';
  }
}

function getScript(scriptName,func,show)
{
  var head = document.getElementsByTagName("head")[0]; 
  var script = document.createElement('script');
  script.id = scriptName;
  script.type = 'text/javascript';
  script.onload = func; 
  script.src = scriptName+'.js'; 
  if ($.browser.msie && $.browser.version<=8) { 
    // script.onload does not work with older versions of IE
    script.onreadystatechange = function() {
      if (script.readyState=='complete' || script.readyState=='loaded') { 
        func(); if (show) showRoot(); 
      }
    }
  }
  head.appendChild(script); 
}

function createIndent(o,domNode,node,level)
{
  var level=-1;
  var n = node;
  while (n.parentNode) { level++; n=n.parentNode; }
  if (node.childrenData) {
    var imgNode = document.createElement("img");
    imgNode.style.paddingLeft=(16*level).toString()+'px';
    imgNode.width  = 16;
    imgNode.height = 22;
    imgNode.border = 0;
    node.plus_img = imgNode;
    node.expandToggle = document.createElement("a");
    node.expandToggle.href = "javascript:void(0)";
    node.expandToggle.onclick = function() {
      if (node.expanded) {
        $(node.getChildrenUL()).slideUp("fast");
        node.plus_img.src = node.relpath+"ftv2pnode.png";
        node.expanded = false;
      } else {
        expandNode(o, node, false, false);
      }
    }
    node.expandToggle.appendChild(imgNode);
    domNode.appendChild(node.expandToggle);
    imgNode.src = node.relpath+"ftv2pnode.png";
  } else {
    var span = document.createElement("span");
    span.style.display = 'inline-block';
    span.style.width   = 16*(level+1)+'px';
    span.style.height  = '22px';
    span.innerHTML = '&#160;';
    domNode.appendChild(span);
  } 
}

var animationInProgress = false;

function gotoAnchor(anchor,aname,updateLocation)
{
  var pos, docContent = $('#doc-content');
  if (anchor.parent().attr('class')=='memItemLeft' ||
      anchor.parent().attr('class')=='fieldtype' ||
      anchor.parent().is(':header')) 
  {
    pos = anchor.parent().position().top;
  } else if (anchor.position()) {
    pos = anchor.position().top;
  }
  if (pos) {
    var dist = Math.abs(Math.min(
               pos-docContent.offset().top,
               docContent[0].scrollHeight-
               docContent.height()-docContent.scrollTop()));
    animationInProgress=true;
    docContent.animate({
      scrollTop: pos + docContent.scrollTop() - docContent.offset().top
    },Math.max(50,Math.min(500,dist)),function(){
      if (updateLocation) window.location.href=aname;
      animationInProgress=false;
    });
  }
}

function newNode(o, po, text, link, childrenData, lastNode)
{
  var node = new Object();
  node.children = Array();
  node.childrenData = childrenData;
  node.depth = po.depth + 1;
  node.relpath = po.relpath;
  node.isLast = lastNode;

  node.li = document.createElement("li");
  po.getChildrenUL().appendChild(node.li);
  node.parentNode = po;

  node.itemDiv = document.createElement("div");
  node.itemDiv.className = "item";

  node.labelSpan = document.createElement("span");
  node.labelSpan.className = "label";

  createIndent(o,node.itemDiv,node,0);
  node.itemDiv.appendChild(node.labelSpan);
  node.li.appendChild(node.itemDiv);

  var a = document.createElement("a");
  node.labelSpan.appendChild(a);
  node.label = document.createTextNode(text);
  node.expanded = false;
  a.appendChild(node.label);
  if (link) {
    var url;
    if (link.substring(0,1)=='^') {
      url = link.substring(1);
      link = url;
    } else {
      url = node.relpath+link;
    }
    a.className = stripPath(link.replace('#',':'));
    if (link.indexOf('#')!=-1) {
      var aname = '#'+link.split('#')[1];
      var srcPage = stripPath($(location).attr('pathname'));
      var targetPage = stripPath(link.split('#')[0]);
      a.href = srcPage!=targetPage ? url : "javascript:void(0)"; 
      a.onclick = function(){
        storeLink(link);
        if (!$(a).parent().parent().hasClass('selected'))
        {
          $('.item').removeClass('selected');
          $('.item').removeAttr('id');
          $(a).parent().parent().addClass('selected');
          $(a).parent().parent().attr('id','selected');
        }
        var anchor = $(aname);
        gotoAnchor(anchor,aname,true);
      };
    } else {
      a.href = url;
      a.onclick = function() { storeLink(link); }
    }
  } else {
    if (childrenData != null) 
    {
      a.className = "nolink";
      a.href = "javascript:void(0)";
      a.onclick = node.expandToggle.onclick;
    }
  }

  node.childrenUL = null;
  node.getChildrenUL = function() {
    if (!node.childrenUL) {
      node.childrenUL = document.createElement("ul");
      node.childrenUL.className = "children_ul";
      node.childrenUL.style.display = "none";
      node.li.appendChild(node.childrenUL);
    }
    return node.childrenUL;
  };

  return node;
}

function showRoot()
{
  var headerHeight = $("#top").height();
  var footerHeight = $("#nav-path").height();
  var windowHeight = $(window).height() - headerHeight - footerHeight;
  (function (){ // retry until we can scroll to the selected item
    try {
      var navtree=$('#nav-tree');
      navtree.scrollTo('#selected',0,{offset:-windowHeight/2});
    } catch (err) {
      setTimeout(arguments.callee, 0);
    }
  })();
}

function expandNode(o, node, imm, showRoot)
{
  if (node.childrenData && !node.expanded) {
    if (typeof(node.childrenData)==='string') {
      var varName    = node.childrenData;
      getScript(node.relpath+varName,function(){
        node.childrenData = getData(varName);
        expandNode(o, node, imm, showRoot);
      }, showRoot);
    } else {
      if (!node.childrenVisited) {
        getNode(o, node);
      } if (imm || ($.browser.msie && $.browser.version>8)) { 
        // somehow slideDown jumps to the start of tree for IE9 :-(
        $(node.getChildrenUL()).show();
      } else {
        $(node.getChildrenUL()).slideDown("fast");
      }
      if (node.isLast) {
        node.plus_img.src = node.relpath+"ftv2mlastnode.png";
      } else {
        node.plus_img.src = node.relpath+"ftv2mnode.png";
      }
      node.expanded = true;
    }
  }
}

function glowEffect(n,duration)
{
  n.addClass('glow').delay(duration).queue(function(next){
    $(this).removeClass('glow');next();
  });
}

function highlightAnchor()
{
  var aname = $(location).attr('hash');
  var anchor = $(aname);
  if (anchor.parent().attr('class')=='memItemLeft'){
    var rows = $('.memberdecls tr[class$="'+
               window.location.hash.substring(1)+'"]');
    glowEffect(rows.children(),300); // member without details
  } else if (anchor.parents().slice(2).prop('tagName')=='TR') {
    glowEffect(anchor.parents('div.memitem'),1000); // enum value
  } else if (anchor.parent().attr('class')=='fieldtype'){
    glowEffect(anchor.parent().parent(),1000); // struct field
  } else if (anchor.parent().is(":header")) {
    glowEffect(anchor.parent(),1000); // section header
  } else {
    glowEffect(anchor.next(),1000); // normal member
  }
  gotoAnchor(anchor,aname,false);
}

function selectAndHighlight(hash,n)
{
  var a;
  if (hash) {
    var link=stripPath($(location).attr('pathname'))+':'+hash.substring(1);
    a=$('.item a[class$="'+link+'"]');
  }
  if (a && a.length) {
    a.parent().parent().addClass('selected');
    a.parent().parent().attr('id','selected');
    highlightAnchor();
  } else if (n) {
    $(n.itemDiv).addClass('selected');
    $(n.itemDiv).attr('id','selected');
  }
  if ($('#nav-tree-contents .item:first').hasClass('selected')) {
    $('#nav-sync').css('top','30px');
  } else {
    $('#nav-sync').css('top','5px');
  }
  showRoot();
}

function showNode(o, node, index, hash)
{
  if (node && node.childrenData) {
    if (typeof(node.childrenData)==='string') {
      var varName    = node.childrenData;
      getScript(node.relpath+varName,function(){
        node.childrenData = getData(varName);
        showNode(o,node,index,hash);
      },true);
    } else {
      if (!node.childrenVisited) {
        getNode(o, node);
      }
      $(node.getChildrenUL()).css({'display':'block'});
      if (node.isLast) {
        node.plus_img.src = node.relpath+"ftv2mlastnode.png";
      } else {
        node.plus_img.src = node.relpath+"ftv2mnode.png";
      }
      node.expanded = true;
      var n = node.children[o.breadcrumbs[index]];
      if (index+1<o.breadcrumbs.length) {
        showNode(o,n,index+1,hash);
      } else {
        if (typeof(n.childrenData)==='string') {
          var varName = n.childrenData;
          getScript(n.relpath+varName,function(){
            n.childrenData = getData(varName);
            node.expanded=false;
            showNode(o,node,index,hash); // retry with child node expanded
          },true);
        } else {
          var rootBase = stripPath(o.toroot.replace(/\..+$/, ''));
          if (rootBase=="index" || rootBase=="pages" || rootBase=="search") {
            expandNode(o, n, true, true);
          }
          selectAndHighlight(hash,n);
        }
      }
    }
  } else {
    selectAndHighlight(hash);
  }
}

function removeToInsertLater(element) {
  var parentNode = element.parentNode;
  var nextSibling = element.nextSibling;
  parentNode.removeChild(element);
  return function() {
    if (nextSibling) {
      parentNode.insertBefore(element, nextSibling);
    } else {
      parentNode.appendChild(element);
    }
  };
}

function getNode(o, po)
{
  var insertFunction = removeToInsertLater(po.li);
  po.childrenVisited = true;
  var l = po.childrenData.length-1;
  for (var i in po.childrenData) {
    var nodeData = po.childrenData[i];
    po.children[i] = newNode(o, po, nodeData[0], nodeData[1], nodeData[2],
      i==l);
  }
  insertFunction();
}

function gotoNode(o,subIndex,root,hash,relpath)
{
  var nti = navTreeSubIndices[subIndex][root+hash];
  o.breadcrumbs = $.extend(true, [], nti ? nti : navTreeSubIndices[subIndex][root]);
  if (!o.breadcrumbs && root!=NAVTREE[0][1]) { // fallback: show index
    navTo(o,NAVTREE[0][1],"",relpath);
    $('.item').removeClass('selected');
    $('.item').removeAttr('id');
  }
  if (o.breadcrumbs) {
    o.breadcrumbs.unshift(0); // add 0 for root node
    showNode(o, o.node, 0, hash);
  }
}

function navTo(o,root,hash,relpath)
{
  var link = cachedLink();
  if (link) {
    var parts = link.split('#');
    root = parts[0];
    if (parts.length>1) hash = '#'+parts[1];
    else hash='';
  }
  if (hash.match(/^#l\d+$/)) {
    var anchor=$('a[name='+hash.substring(1)+']');
    glowEffect(anchor.parent(),1000); // line number
    hash=''; // strip line number anchors
    //root=root.replace(/_source\./,'.'); // source link to doc link
  }
  var url=root+hash;
  var i=-1;
  while (NAVTREEINDEX[i+1]<=url) i++;
  if (i==-1) { i=0; root=NAVTREE[0][1]; } // fallback: show index
  if (navTreeSubIndices[i]) {
    gotoNode(o,i,root,hash,relpath)
  } else {
    getScript(relpath+'navtreeindex'+i,function(){
      navTreeSubIndices[i] = eval('NAVTREEINDEX'+i);
      if (navTreeSubIndices[i]) {
        gotoNode(o,i,root,hash,relpath);
      }
    },true);
  }
}

function showSyncOff(n,relpath)
{
    n.html('<img src="'+relpath+'sync_off.png" title="'+SYNCOFFMSG+'"/>');
}

function showSyncOn(n,relpath)
{
    n.html('<img src="'+relpath+'sync_on.png" title="'+SYNCONMSG+'"/>');
}

function toggleSyncButton(relpath)
{
  var navSync = $('#nav-sync');
  if (navSync.hasClass('sync')) {
    navSync.removeClass('sync');
    showSyncOff(navSync,relpath);
    storeLink(stripPath2($(location).attr('pathname'))+$(location).attr('hash'));
  } else {
    navSync.addClass('sync');
    showSyncOn(navSync,relpath);
    deleteLink();
  }
}

function initNavTree(toroot,relpath)
{
  var o = new Object();
  o.toroot = toroot;
  o.node = new Object();
  o.node.li = document.getElementById("nav-tree-contents");
  o.node.childrenData = NAVTREE;
  o.node.children = new Array();
  o.node.childrenUL = document.createElement("ul");
  o.node.getChildrenUL = function() { return o.node.childrenUL; };
  o.node.li.appendChild(o.node.childrenUL);
  o.node.depth = 0;
  o.node.relpath = relpath;
  o.node.expanded = false;
  o.node.isLast = true;
  o.node.plus_img = document.createElement("img");
  o.node.plus_img.src = relpath+"ftv2pnode.png";
  o.node.plus_img.width = 16;
  o.node.plus_img.height = 22;

  if (localStorageSupported()) {
    var navSync = $('#nav-sync');
    if (cachedLink()) {
      showSyncOff(navSync,relpath);
      navSync.removeClass('sync');
    } else {
      showSyncOn(navSync,relpath);
    }
    navSync.click(function(){ toggleSyncButton(relpath); });
  }

  $(window).load(function(){
    navTo(o,toroot,window.location.hash,relpath);
    showRoot();
  });

  $(window).bind('hashchange', function(){
     if (window.location.hash && window.location.hash.length>1){
       var a;
       if ($(location).attr('hash')){
         var clslink=stripPath($(location).attr('pathname'))+':'+
                               $(location).attr('hash').substring(1);
         a=$('.item a[class$="'+clslink+'"]');
       }
       if (a==null || !$(a).parent().parent().hasClass('selected')){
         $('.item').removeClass('selected');
         $('.item').removeAttr('id');
       }
       var link=stripPath2($(location).attr('pathname'));
       navTo(o,link,$(location).attr('hash'),relpath);
     } else if (!animationInProgress) {
       $('#doc-content').scrollTop(0);
       $('.item').removeClass('selected');
       $('.item').removeAttr('id');
       navTo(o,toroot,window.location.hash,relpath);
     }
  })
}

